Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 618703 - Not all parameters appear in metadata
Not all parameters appear in metadata
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: fence-agents (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Marek Grac
Cluster QE
:
Depends On:
Blocks: 618705 619034
  Show dependency treegraph
 
Reported: 2010-07-27 10:56 EDT by Lon Hohberger
Modified: 2016-04-26 12:29 EDT (History)
4 users (show)

See Also:
Fixed In Version: fence-agents-3.0.12-11.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 618705 619034 (view as bug list)
Environment:
Last Closed: 2011-05-19 10:21:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
test case 1 (1.25 KB, text/plain)
2011-03-04 16:26 EST, Lon Hohberger
no flags Details
test case 2 (1.36 KB, text/plain)
2011-03-04 16:27 EST, Lon Hohberger
no flags Details
test case 2 (1.36 KB, application/octet-stream)
2011-03-04 16:28 EST, Lon Hohberger
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0745 normal SHIPPED_LIVE fence-agents bug fix and enhancement update 2011-05-19 05:37:09 EDT

  None (edit)
Description Lon Hohberger 2010-07-27 10:56:24 EDT
This is a general buzilla; specific issues are to be added as needed.

fence_ilo - missing power_wait parameter
Comment 2 RHEL Product and Program Management 2010-07-27 11:18:02 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **
Comment 7 Marek Grac 2010-07-28 11:28:06 EDT
Patch is available at 

http://git.fedorahosted.org/git/?p=cluster.git;a=commit;h=83d827ee2ee5bf1d333e979cd6a21d746b00f287

Option has to have shortdesc(rption) + required value in order to be part of
metadata
Comment 8 Jan Pokorný [poki] 2010-09-10 17:11:34 EDT
(In reply to comment #7)

Similarly, for fence_eps.py, "shortdesc" and "required" values are also missing for newly defined "hidden_page" option -> not in metadata -> not in man page.
Comment 9 Marek Grac 2010-10-25 10:19:59 EDT
cluster.rng is fixed in upstream in commit: 536a21273c5cc23421fdb042759e261cdd2fa848
Comment 10 Marek Grac 2010-10-25 10:26:27 EDT
comment #9 - should be for different bug 

Fix for eps is available in upstream now:

http://git.fedorahosted.org/git/?p=fence-agents.git;a=commit;h=1c0b1d0952d7f79ba3797bfaefa8f73d234d271d
Comment 12 Lon Hohberger 2011-03-04 16:26:39 EST
Created attachment 482380 [details]
test case 1
Comment 13 Lon Hohberger 2011-03-04 16:27:04 EST
Created attachment 482381 [details]
test case 2
Comment 14 Lon Hohberger 2011-03-04 16:28:05 EST
Created attachment 482382 [details]
test case 2

tiny tweak
Comment 16 errata-xmlrpc 2011-05-19 10:21:23 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0745.html

Note You need to log in before you can comment on or make changes to this bug.